=== debian/control ===
Source: openms
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Build-Depends: debhelper-compat (= 12),
 dh-exec (>= 0.3),
 dpkg-dev (>= 1.19.7),
 cmake (>= 3.1.2),
 libxerces-c-dev (>= 3.2.2),
 libeigen3-dev,
 libwildmagic-dev (>=5.17),
 libboost-dev,
 libboost-iostreams-dev,
 libboost-date-time-dev,
 libboost-math-dev,
 libsqlite3-dev,
 libsvm-dev (>= 3.21),
 libglpk-dev (>= 4.65),
 zlib1g-dev (>= 1.2.7),
 libbz2-dev (>= 1.0.6),
 cppcheck (>= 1.54),
 qtbase5-dev (>= 5.11.3),
 libqt5opengl5-dev (>= 5.11.3),
 libqt5svg5-dev (>= 5.11.3),
 coinor-libcbc-dev (>= 2.9.9),
 coinor-libcgl-dev (>= 0.59.10),
 libhdf5-dev,
 imagemagick,
 doxygen (>= 1.8.13),
 graphviz,
 texlive-extra-utils,
 texlive-latex-extra,
 texlive-latex-recommended,
 texlive-fonts-extra,
 texlive-font-utils,
 texlive-plain-generic,
 tex-gyre,
 ghostscript,
 texlive-fonts-recommended
Standards-Version: 4.5.0
Homepage: http://www.openms.de
Vcs-Browser: https://salsa.debian.org/debichem-team/openms
Vcs-Git: https://salsa.debian.org/debichem-team/openms.git


Package: libopenms2.6.0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         openms-common (= ${source:Version})
Breaks: libopenms2.5.0
Replaces: libopenms2.5.0
Conflicts: libopenms2.5.0
Suggests: openms-doc
Description: library for LC/MS data management and analysis - runtime
 OpenMS is a library for LC/MS data management and analysis. OpenMS
 offers an infrastructure for the development of mass
 spectrometry-related software and powerful 2D and 3D visualization
 solutions.
 .
 OpenMS offers analyses for various quantitation protocols, including
 label-free quantitation, SILAC, iTRAQ, SRM, SWATH…
 .
 It provides built-in algorithms for de-novo identification and
 database search, as well as adapters to other state-of-the art tools
 like X!Tandem, Mascot, OMSSA…
 .
 OpenMS supports the Proteomics Standard Initiative (PSI) formats for
 MS data and supports easy integration of tools into workflow engines
 like Knime, Galaxy, WS-Pgrade, and TOPPAS via the TOPPtools concept
 and a unified parameter handling.


Package: libopenms-dev
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libopenms2.6.0 (= ${binary:Version})
Suggests: openms-doc
Section: libdevel
Description: library for LC/MS data management and analysis - dev files
 OpenMS is a library for LC/MS data management and analysis. OpenMS
 offers an infrastructure for the development of mass
 spectrometry-related software and powerful 2D and 3D visualization
 solutions.
 .
 OpenMS offers analyses for various quantitation protocols, including
 label-free quantitation, SILAC, iTRAQ, SRM, SWATH…
 .
 It provides built-in algorithms for de-novo identification and
 database search, as well as adapters to other state-of-the art tools
 like X!Tandem, Mascot, OMSSA…
 .
 OpenMS supports the Proteomics Standard Initiative (PSI) formats for
 MS data and supports easy integration of tools into workflow engines
 like Knime, Galaxy, WS-Pgrade, and TOPPAS via the TOPPtools concept
 and a unified parameter handling.
 .
 This package ships the library development files.


Package: topp
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libopenms2.6.0 (= ${binary:Version}),
         openms-common (= ${source:Version})
Suggests: openms-doc
Description: set of programs implementing The OpenMS Proteomic Pipeline
 TOPP (the OpenMS proteomic pipeline) is a pipeline for the analysis
 of HPLC/MS data. It consists of a set of numerous small applications
 that can be chained together to create analysis pipelines tailored
 for a specific problem. The applications make use of the libopenms
 library. Some examples of these applications are :
 .
   - TOPPView: A viewer for mass spectrometry data.
   - TOPPAS: An assistant for GUI-driven TOPP workflow design.
   - DTAExtractor: Extracts spectra of an MS run file to several
     files in DTA format.
   - FileConverter:  Converts between different MS file formats.
   - FileFilter: Extracts or manipulates portions of data from peak,
     feature or consensus feature files.
   - SpectraMerger: Merges spectra from an LC/MS map, either by
     precursor or by RT blocks.
   - BaselineFilter: Removes the baseline from profile spectra using a
     top-hat filter.
   - InternalCalibration: Applies an internal calibration.
   - PTModel: Trains a model for the prediction of proteotypic
     peptides from a training set.
   - RTPredict: Predicts retention times for peptides using a model
     trained by RTModel.
   - ExecutePipeline: Executes workflows created by TOPPAS.


Package: openms-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: libopenms2.6.0 (= ${binary:Version}),
          topp (= ${binary:Version})
Description: package for LC/MS data management and analysis - shared data
 OpenMS is a package for LC/MS data management and analysis. OpenMS
 offers an infrastructure for the development of mass
 spectrometry-related software and powerful 2D and 3D visualization
 solutions.
 .
 OpenMS offers analyses for various quantitation protocols, including
 label-free quantitation, SILAC, iTRAQ, SRM, SWATH…
 .
 It provides built-in algorithms for de-novo identification and
 database search, as well as adapters to other state-of-the art tools
 like X!Tandem, Mascot, OMSSA…
 .
 OpenMS supports the Proteomics Standard Initiative (PSI) formats for
 MS data and supports easy integration of tools into workflow engines
 like Knime, Galaxy, WS-Pgrade, and TOPPAS via the TOPPtools concept
 and a unified parameter handling.
 .
 This package brings data shared by the different binaries of the
 OpenMS software package (libOpenMS and libOpenMS_GUI libraries and
 the OpenMS Proteomic Pipeline binary tools).


Package: openms-doc
Architecture: all
Depends: ${misc:Depends},
         libjs-jquery
Replaces: openms-doc (<= ${source:Version})
Suggests: libopenms2.6.0 (= ${binary:Version}),
          topp (= ${binary:Version})
Section: doc
Description: package for LC/MS data management and analysis - documentation
 OpenMS is a package for LC/MS data management and analysis. OpenMS
 offers an infrastructure for the development of mass
 spectrometry-related software and powerful 2D and 3D visualization
 solutions.
 .
 OpenMS offers analyses for various quantitation protocols, including
 label-free quantitation, SILAC, iTRAQ, SRM, SWATH…
 .
 It provides built-in algorithms for de-novo identification and
 database search, as well as adapters to other state-of-the art tools
 like X!Tandem, Mascot, OMSSA…
 .
 OpenMS supports the Proteomics Standard Initiative (PSI) formats for
 MS data and supports easy integration of tools into workflow engines
 like Knime, Galaxy, WS-Pgrade, and TOPPAS via the TOPPtools concept
 and a unified parameter handling.
 .
 This package brings full documentation for both the libopenms library
 package (libOpenMS and libOpenMS_GUI) and the OpenMS Proteomic
 Pipeline (topp) package.


Package: openms
Architecture: all
Depends: ${misc:Depends},
         libopenms2.6.0 (>= ${source:Version}),
         topp (>= ${source:Version})
Suggests: openms-doc
Description: package for LC/MS data management and analysis
 OpenMS is a package for LC/MS data management and analysis. OpenMS
 offers an infrastructure for the development of mass
 spectrometry-related software and powerful 2D and 3D visualization
 solutions.
 .
 TOPP (the OpenMS proteomic pipeline) is a pipeline for the analysis
 of HPLC/MS data. It consists of a set of numerous small applications
 that can be chained together to create analysis pipelines tailored
 for a specific problem.
 .
 This package is a metapackage that depends on both the libopenms
 library package (libOpenMS and libOpenMS_GUI) and the OpenMS
 Proteomic Pipeline (topp) package.
